net.minecraft.client.model

## Class ModelWitch

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelVillager
    - - net.minecraft.client.model.ModelWitch

-     public class ModelWitch
      extends ModelVillager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `field_82900_g`

    - ### Fields inherited from class net.minecraft.client.model.ModelVillager

      `leftVillagerLeg, rightVillagerLeg, villagerArms, villagerBody, villagerHead, villagerNose`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelWitch(float par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)`

    - ### Methods inherited from class net.minecraft.client.model.ModelVillager

      `render`

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset, setLivingAnimations, setTextureOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_82900_g

          public boolean field_82900_g

  - ### Constructor Detail

    - #### ModelWitch

          public ModelWitch(float par1)

  - ### Method Detail

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Overrides:
        `setRotationAngles` in class `ModelVillager`